summaryrefslogtreecommitdiffstats
path: root/source/xap/windowmaker
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/xap/windowmaker
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/xap/windowmaker')
-rw-r--r--source/xap/windowmaker/slack-desc19
-rwxr-xr-xsource/xap/windowmaker/windowmaker.SlackBuild120
-rw-r--r--source/xap/windowmaker/windowmaker.no-mmx.diff19
-rw-r--r--source/xap/windowmaker/wmaker.inst.diff45
-rw-r--r--source/xap/windowmaker/xinitrc.wmaker38
5 files changed, 241 insertions, 0 deletions
diff --git a/source/xap/windowmaker/slack-desc b/source/xap/windowmaker/slack-desc
new file mode 100644
index 000000000..ef3edbe72
--- /dev/null
+++ b/source/xap/windowmaker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+windowmaker: windowmaker (a fast and elegant window manager)
+windowmaker:
+windowmaker: Window Maker is a window manager for the X Window System that is
+windowmaker: relatively fast and small, feature rich, easy to use, with a simple
+windowmaker: and elegant appearance reminiscent of the NeXTSTEP(tm) graphical
+windowmaker: user interface.
+windowmaker:
+windowmaker: Window Maker is part of the official GNU project.
+windowmaker:
+windowmaker:
+windowmaker:
diff --git a/source/xap/windowmaker/windowmaker.SlackBuild b/source/xap/windowmaker/windowmaker.SlackBuild
new file mode 100755
index 000000000..8736f0589
--- /dev/null
+++ b/source/xap/windowmaker/windowmaker.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=20060427cvs
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-windowmaker
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf WindowMaker-$VERSION
+tar xvf $CWD/WindowMaker-$VERSION.tar.bz2 || exit 1
+cd WindowMaker-$VERSION || exit 1
+
+zcat $CWD/windowmaker.no-mmx.diff.gz | patch -p1 --verbose -F 3 || exit 1
+sh autogen.sh
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# This should be non-interactive where possible.
+zcat $CWD/wmaker.inst.diff.gz | patch -p1 --verbose || exit
+
+LINGUAS="$(cd po ; /bin/ls *.po | sed 's/.po//g')" \
+GNUSTEP_LOCAL_ROOT=/usr/lib${LIBDIRSUFFIX}/GNUstep \
+CFLAGS="$SLKCFLAGS" \
+NLSDIR=/usr/share/locale \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --sysconfdir=/etc/X11 \
+ --enable-gnome \
+ --enable-kde \
+ --enable-usermenu \
+ --with-appspath=/usr/lib${LIBDIRSUFFIX}/GNUstep/Applications \
+ --build=$ARCH-slackware-linux
+
+# NLS bugs like -i
+make $NUMJOBS || make -i || exit 1
+
+# Change /usr/local/GNUstep to /usr/lib/GNUstep in the WMRootMenu:
+sed -i -e "s#/usr/local/GNUstep/Applications/WPrefs.app/#/usr/lib${LIBDIRSUFFIX}/GNUstep/Applications/WPrefs.app/#" \
+ $(grep -lr '/usr/local/GNUstep/Applications/WPrefs.app/' *)
+
+make -i install DESTDIR=$PKG
+mkdir -p $PKG/usr/doc/WindowMaker-$VERSION
+cp -a \
+ AUTHORS BUGFORM BUGS COPYING COPYING.WTFPL FAQ FAQ.I18N FAQ.I18N.cs FAQ.I18N.sk INSTALL INSTALL.cs INSTALL.es INSTALL.fr INSTALL.pt INSTALL.sk MIRRORS NEWS README README.definable-cursor README.pt TODO \
+ $PKG/usr/doc/WindowMaker-$VERSION
+cd $TMP
+rm -rf WindowMaker-extra-0.1
+tar xvf $CWD/WindowMaker-extra-0.1.tar.gz || exit 1
+cd WindowMaker-extra-0.1 || exit 1
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-iconsdir=/usr/share/pixmaps \
+ $ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/etc/X11/xinit
+cat $CWD/xinitrc.wmaker > $PKG/etc/X11/xinit/xinitrc.wmaker
+chmod 755 $PKG/etc/X11/xinit/xinitrc.wmaker
+
+gzip -9 $PKG/usr/man/man1/* $PKG/usr/man/sk/man1/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/windowmaker-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/xap/windowmaker/windowmaker.no-mmx.diff b/source/xap/windowmaker/windowmaker.no-mmx.diff
new file mode 100644
index 000000000..277cc79e4
--- /dev/null
+++ b/source/xap/windowmaker/windowmaker.no-mmx.diff
@@ -0,0 +1,19 @@
+--- ./configure.ac.01 2008-06-02 08:42:30.000000000 +0200
++++ ./configure.ac 2008-06-02 08:46:49.000000000 +0200
+@@ -190,7 +190,15 @@
+ # until we fix it, leave it disabled
+ asm_support=no
+ mmx_support=no
+-if test "$ac_cv_prog_gcc" = yes; then
++
++check_for_mmx_support=yes
++AC_ARG_ENABLE(mmx,
++ [ --disable-mmx disable compilation of MMX inline assembly ],
++ [if test x$enableval != xyes; then
++ check_for_mmx_support=no
++ fi])
++
++if test "$ac_cv_prog_gcc" = yes -a "$check_for_mmx_support" = yes; then
+ case $host_cpu in
+ *i?86*)
+ # gcc-3.3 or newer complains about some of our stuff without this
diff --git a/source/xap/windowmaker/wmaker.inst.diff b/source/xap/windowmaker/wmaker.inst.diff
new file mode 100644
index 000000000..c80edd341
--- /dev/null
+++ b/source/xap/windowmaker/wmaker.inst.diff
@@ -0,0 +1,45 @@
+--- ./util/wmaker.inst.in.orig 2002-05-30 13:13:46.000000000 -0700
++++ ./util/wmaker.inst.in 2002-05-30 13:16:37.000000000 -0700
+@@ -37,19 +37,7 @@
+ make_script() {
+ ISCRIPT=$1
+
+- cat << EOF >> $ISCRIPT
+-# Window Maker default X session startup script
+-
+-PATH="\$PATH:$BINDIR"
+-
+-# If you login from xdm, uncomment this to make error messages appear
+-# in the console window.
+-#
+-# tail -f $HOME/.xsession-errors > /dev/console &
+-
+-exec wmaker
+-
+-EOF
++ cat /etc/X11/xinit/xinitrc.wmaker >> $ISCRIPT
+ chmod +rx $ISCRIPT
+ }
+
+@@ -329,20 +317,7 @@
+
+ trap "show_end_message;exit" 2
+
+-echo
+-echo "Now the .xinitrc, .Xclients or .xsession script must be updated so that"
+-echo "it calls wmaker when you start an X session."
+-echo "Type the name of the file that must be changed (normally .xinitrc)."
+-echo "If the file already exists, it will be backed up with a .old.$DATE "
+-echo "extension"
+-echo "If you want to edit it by hand, hit <Control>-C now."
+-read file
+-
+-if test "x$file" = "x"; then
+- echo "Using .xinitrc as a default value"
+- file=.xinitrc
+-fi
+-
++file=.xinitrc
+ if [ -f $USERDIR/$file ]; then
+ mv $USERDIR/$file $USERDIR/$file.old.$DATE
+ fi
diff --git a/source/xap/windowmaker/xinitrc.wmaker b/source/xap/windowmaker/xinitrc.wmaker
new file mode 100644
index 000000000..4e28503b1
--- /dev/null
+++ b/source/xap/windowmaker/xinitrc.wmaker
@@ -0,0 +1,38 @@
+#!/bin/sh
+# $XConsortium: xinitrc.cpp,v 1.4 91/08/22 11:41:34 rws Exp $
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/usr/X11R6/lib/X11/xinit/.Xresources
+sysmodmap=/usr/X11R6/lib/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+
+if [ -f $sysresources ]; then
+ xrdb -merge $sysresources
+fi
+
+if [ -f $sysmodmap ]; then
+ xmodmap $sysmodmap
+fi
+
+if [ -f $userresources ]; then
+ xrdb -merge $userresources
+fi
+
+if [ -f $usermodmap ]; then
+ xmodmap $usermodmap
+fi
+
+# If the user lacks $HOME/GNUstep, install it:
+if [ ! -f $HOME/GNUstep/Defaults/WindowMaker ]; then
+ wmaker.inst
+fi
+
+# Test for cpp, which wmaker uses to process config files:
+if [ ! -x /usr/bin/cpp ]; then
+ NOCPP="--no-cpp"
+fi
+
+# Start the window manager:
+exec /usr/bin/wmaker $NOCPP